unit cnlServiceImplementation;

interface

uses
  XData.Server.Module,
  XData.Service.Common,
  cnlService;

type
  [ServiceImplementation]
  TcnlService = class(TInterfacedObject, IcnlService)
  private
    function Hello:String;
    function EchoString(Value: string): string;
  end;

implementation

function TcnlService.Hello:String;
begin
  Result := 'Hello';
end;

function TcnlService.EchoString(Value: string): string;
begin
  Result := Value;
end;

initialization
  RegisterServiceType(TcnlService);

end.
