unit ufrmmain;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, VCL.TMSFNCTypes, VCL.TMSFNCUtils, VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes,
  Vcl.StdCtrls, WEBLib.StdCtrls, Vcl.Controls, VCL.TMSFNCCustomControl, VCL.TMSFNCWebBrowser,
  VCL.TMSFNCCustomWEBControl, VCL.TMSFNCMemo, cnlService, XData.Client;

type
  TForm1 = class(TWebForm)
    mmo: TTMSFNCMemo;
    btnHello: TWebButton;
    procedure btnHelloClick(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  var
  Client: TXDataClient;
  cnl: IcnlService;

implementation

{$R *.dfm}

procedure TForm1.btnHelloClick(Sender: TObject);
begin
  mmo.lines.add (cnl.hello);
end;

procedure TForm1.WebFormCreate(Sender: TObject);
begin
  Client := TXDataClient.Create;
  Client.Uri := 'https://ittutorsa.co.za:443/cnl';
  cnl := Client.Service<IcnlService>;
end;

end.